> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List monitors with filters

> **Security Requirements**

| Auth Types | Entities | Permissions | Required Roles |
|------------|----------|-------------|----------------|
| USER | AUDIT | READ | AUDIT:READ |



## OpenAPI

````yaml /openapi/swarmd.json get /audit/v1/monitors
openapi: 3.1.0
info:
  title: Relay
  version: v0
servers:
  - url: https://api.dev.swarmd.ai
    description: Development
security: []
tags:
  - name: Policy Groups
    x-displayName: Policy Groups
  - name: Policy Bindings
    x-displayName: Policy Bindings
  - name: Evaluation Packs
    x-displayName: Evaluation Packs
  - name: Webhooks
    x-displayName: Webhooks
  - name: MCP JSON-RPC
    x-displayName: MCP JSON-RPC
  - name: Conversations
    x-displayName: Conversations
  - name: Human JSON-RPC
    x-displayName: Human JSON-RPC
  - name: Channel JSON-RPC
    x-displayName: Channel JSON-RPC
  - name: HITL Approvals
    x-displayName: HITL Approvals
  - name: Agent JSON-RPC
    x-displayName: Agent JSON-RPC
  - name: Tasks
    x-displayName: Tasks
  - name: Push Notifications
    x-displayName: Push Notifications
  - name: Messaging
    x-displayName: Messaging
  - name: LLM Runtime
    x-displayName: LLM Runtime
  - name: Agent Discovery
    x-displayName: Agent Discovery
  - name: MCP Servers
    x-displayName: MCP Servers
  - name: LLM Gateways
    x-displayName: LLM Gateways
  - name: Agents
    x-displayName: Agents
  - name: User Subscriptions
    x-displayName: User Subscriptions
  - name: LLM Providers
    x-displayName: LLM Providers
  - name: LLM Gateway Subscriptions
    x-displayName: LLM Gateway Subscriptions
  - name: Kill Switches
    x-displayName: Kill Switches
  - name: Channels
    x-displayName: Channels
  - name: Channel Subscriptions
    x-displayName: Channel Subscriptions
  - name: Agent Subscriptions
    x-displayName: Agent Subscriptions
  - name: Marketplace
    x-displayName: Marketplace
  - name: Identity Providers
    x-displayName: Identity Providers
  - name: Groups
    x-displayName: Groups
  - name: Authentication
    x-displayName: Authentication
  - name: Users
    x-displayName: Users
  - name: Tenants
    x-displayName: Tenants
  - name: mcp-consent-controller
    x-displayName: mcp-consent-controller
  - name: Audit Monitors
    x-displayName: Audit Monitors
  - name: Audit Integrity
    x-displayName: Audit Integrity
  - name: Audit Events
    x-displayName: Audit Events
  - name: Audit Traces
    x-displayName: Audit Traces
  - name: audit-rest-controller
    x-displayName: audit-rest-controller
  - name: Audit Dashboard
    x-displayName: Audit Dashboard
  - name: A2A Payments
    x-displayName: A2A Payments
paths:
  /audit/v1/monitors:
    get:
      tags:
        - Audit Monitors
      summary: List monitors with filters
      description: |-
        **Security Requirements**

        | Auth Types | Entities | Permissions | Required Roles |
        |------------|----------|-------------|----------------|
        | USER | AUDIT | READ | AUDIT:READ |
      operationId: listMonitors
      parameters:
        - name: templateId
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - POLICY_INVOCATION_ANOMALY
                - POLICY_BLOCK_ANOMALY
                - POLICY_WARN_ANOMALY
                - POLICY_HITL_HOLD_ANOMALY
                - AGENT_VOLUME_ANOMALY
                - USER_VOLUME_ANOMALY
                - MCP_SERVER_VOLUME_ANOMALY
                - LLM_GATEWAY_VOLUME_ANOMALY
                - CHANNEL_VOLUME_ANOMALY
                - TENANT_ERROR_SPIKE
                - TENANT_WARN_SPIKE
                - TENANT_HITL_SPIKE
                - LLM_PROVIDER_ERROR_RATE_SPIKE
                - LLM_GATEWAY_FAILOVER_SPIKE
                - MCP_SERVER_ERROR_RATE_SPIKE
                - DORMANT_AGENT_REACTIVATION
                - DORMANT_USER_REACTIVATION
                - NOVEL_TOOL_CALL
                - NEW_MCP_SERVER_BINDING
        - name: monitorType
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - SYSTEM_TEMPLATE
                - THRESHOLD
                - CHANGE
                - OUTLIER
        - name: state
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - OK
                - ALERT
                - WARN
                - NO_DATA
                - MUTED
        - name: owner
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: priority
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - P1
                - P2
                - P3
                - P4
                - P5
        - name: tag
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: search
          in: query
          required: false
          schema:
            type: string
        - name: pageable
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Audit_Pageable'
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Audit_MonitorsListResponse'
      security:
        - Audit_bearerAuth: []
components:
  schemas:
    Audit_Pageable:
      type: object
      properties:
        page:
          type: integer
          format: int32
          minimum: 0
        size:
          type: integer
          format: int32
          minimum: 1
        sort:
          type: array
          items:
            type: string
    Audit_MonitorsListResponse:
      type: object
      properties:
        content:
          type: array
          items:
            $ref: '#/components/schemas/Audit_MonitorSummary'
        page:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        totalElements:
          type: integer
          format: int64
        totalPages:
          type: integer
          format: int32
        availableFilters:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Audit_FilterFacet'
    Audit_MonitorSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tenantId:
          type: string
          format: uuid
        monitorType:
          type: string
          enum:
            - SYSTEM_TEMPLATE
            - THRESHOLD
            - CHANGE
            - OUTLIER
        templateId:
          type: string
          enum:
            - POLICY_INVOCATION_ANOMALY
            - POLICY_BLOCK_ANOMALY
            - POLICY_WARN_ANOMALY
            - POLICY_HITL_HOLD_ANOMALY
            - AGENT_VOLUME_ANOMALY
            - USER_VOLUME_ANOMALY
            - MCP_SERVER_VOLUME_ANOMALY
            - LLM_GATEWAY_VOLUME_ANOMALY
            - CHANNEL_VOLUME_ANOMALY
            - TENANT_ERROR_SPIKE
            - TENANT_WARN_SPIKE
            - TENANT_HITL_SPIKE
            - LLM_PROVIDER_ERROR_RATE_SPIKE
            - LLM_GATEWAY_FAILOVER_SPIKE
            - MCP_SERVER_ERROR_RATE_SPIKE
            - DORMANT_AGENT_REACTIVATION
            - DORMANT_USER_REACTIVATION
            - NOVEL_TOOL_CALL
            - NEW_MCP_SERVER_BINDING
        name:
          type: string
        description:
          type: string
        tags:
          type: array
          items:
            type: string
        owner:
          type: string
        ownerLabel:
          type: string
        priority:
          type: string
          enum:
            - P1
            - P2
            - P3
            - P4
            - P5
        sensitivity:
          type: string
          enum:
            - LOW
            - MEDIUM
            - HIGH
        enabled:
          type: boolean
        state:
          type: string
          enum:
            - OK
            - ALERT
            - WARN
            - NO_DATA
            - MUTED
        coverageStatus:
          type: string
          enum:
            - HEALTHY
            - FAILED
            - STALE
            - NEVER_RUN
            - DISABLED
            - RUNNING
        lastEvaluatedAt:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        lastAlertAt:
          type: string
          format: date-time
        alertCount24h:
          type: integer
          format: int64
    Audit_FilterFacet:
      type: object
      properties:
        title:
          type: string
        counts:
          type: object
          additionalProperties:
            type: integer
            format: int64
        labels:
          type: object
          additionalProperties:
            type: string
  securitySchemes:
    Audit_bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token (USER, AGENT, or SERVICE auth)

````